## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSetNodeProxy::Proxy Class Reference

`#include <XNodeSetNodeProxy.hpp>`

Inheritance diagram for XNodeSetNodeProxy::Proxy

Collaboration diagram for XNodeSetNodeProxy::Proxy:

List of all members.

## Public Methods

- Proxy (XalanNode* theNode)
- virtual ~Proxy ()
- virtual XalanNode* item (size_type index) const
    Returns the `index`th item in the collection. More...
- virtual size_type getLength () const
    Determine the number of nodes in the list. More...
- virtual size_type indexOf (const XalanNode* theNode) const
    Retrieve the zero based index of the node in the list. More...

## Public Attributes

- XalanNode* m_node

## Constructor & Destructor Documentation

XNodeSetNodeProxy::Proxy::Proxy ( | XalanNode * theNode )

virtual XNodeSetNodeProxy::Proxy::~Proxy ( | )`[virtual]`

## Member Function Documentation

virtual size_type XNodeSetNodeProxy::Proxy::getLength ( | ) const`[virtual]`

Determine the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Returns:
  number of nodes

Reimplemented from NodeRefListBase.

virtual size_type XNodeSetNodeProxy::Proxy::indexOf ( | const XalanNode * theNode ) const`[virtual]`

Retrieve the zero based index of the node in the list.

Parameters:

  theNode | node whose index to find

Returns:
  index of node

Reimplemented from NodeRefListBase.

virtual XalanNode* XNodeSetNodeProxy::Proxy::item ( | size_type index ) const`[virtual]`

Returns the `index`th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  index | index into the collection

Returns:
  node at the `index`th position in the `NodeList`, or `null` if that is not a valid index

Reimplemented from NodeRefListBase.

## Member Data Documentation

XalanNode * XNodeSetNodeProxy::Proxy::m_node

The documentation for this class was generated from the following file:

- XNodeSetNodeProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.